nandps: __attribute__ Struct Reference

| nandps Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
__attribute__ Struct Reference
Nandps_v2_4

ONFI 1.0 support. More...

## Data Fields
u8 | Signature [4]
| Parameter page signature. More...
u16 | Revision
| Revision Number. More...
u16 | Features
| Features supported. More...
u16 | OptionalCmds
| Optional commands supported. More...
u8 | Reserved0 [2]
| ONFI 2.3: Reserved. More...
u16 | ExtParamPageLen
| ONFI 2.3: extended parameter page length. More...
u8 | NumOfParamPages
| ONFI 2.3: No of parameter pages. More...
u8 | Reserved1 [17]
| Reserved. More...
u8 | DeviceManufacturer [12]
| Device manufacturer. More...
u8 | DeviceModel [20]
| Device model. More...
u8 | JedecManufacturerId
| JEDEC Manufacturer ID. More...
u8 | DateCode [2]
| Date code. More...
u8 | Reserved2 [13]
| Reserved. More...
u32 | BytesPerPage
| Number of data bytes per page. More...
u16 | SpareBytesPerPage
| Number of spare bytes per page. More...
u32 | BytesPerPartialPage
| Number of data bytes per partial page. More...
u16 | SpareBytesPerPartialPage
| Number of spare bytes per partial page. More...
u32 | PagesPerBlock
| Number of pages per block. More...
u32 | BlocksPerLun
| Number of blocks per logical unit (LUN) More...
u8 | NumLuns
| Number of LUN's. More...
u8 | AddrCycles
| Number of address cycles. More...
u8 | BitsPerCell
| Number of bits per cell. More...
u16 | MaxBadBlocksPerLun
| Bad blocks maximum per LUN. More...
u16 | BlockEndurance
| Block endurance. More...
u8 | GuaranteedValidBlock
| Guaranteed valid blocks at beginning of target. More...
u16 | BlockEnduranceGvb
| Block endurance for guaranteed valid block. More...
u8 | ProgramsPerPage
| Number of programs per page. More...
u8 | PartialProgAttr
| Partial programming attributes. More...
u8 | EccBits
| Number of bits ECC correctability. More...
u8 | InterleavedAddrBits
| Number of interleaved address bits. More...
u8 | InterleavedOperation
| Interleaved operation attributes. More...
u8 | EzNandSupport
| ONFI 2.3: EZ NAND support parameters. More...
u8 | Reserved3 [12]
| Reserved. More...
u8 | IOPinCapacitance
| I/O pin capacitance. More...
u16 | TimingMode
| Timing mode support. More...
u16 | PagecacheTimingMode
| Program cache timing mode. More...
u16 | TProg
| Maximum page program time. More...
u16 | TBers
| Maximum block erase time. More...
u16 | TR
| Maximum page read time. More...
u16 | TCcs
| Maximum change column setup time. More...
u16 | SynTimingMode
| ONFI 2.3: Source synchronous timing mode support. More...
u8 | SynFeatures
| ONFI 2.3: Source synchronous features. More...
u16 | ClkInputPinCap
| ONFI 2.3: CLK input pin capacitance. More...
u16 | IOPinCap
| ONFI 2.3: I/O pin capacitance. More...
u16 | InputPinCap
| ONFI 2.3: Input pin capacitance typical. More...
u8 | InputPinCapMax
| ONFI 2.3: Input pin capacitance maximum. More...
u8 | DrvStrength
| ONFI 2.3: Driver strength support. More...
u16 | TMr
| ONFI 2.3: Maximum multi-plane read time. More...
u16 | TAdl
| ONFI 2.3: Program page register clear enhancement value. More...
u16 | TEr
| ONFI 2.3: Typical page read time for EZ NAND. More...
u8 | Reserved4 [6]
| Reserved. More...
u16 | VendorRevisionNum
| Vendor specific revision number. More...
u8 | VendorSpecific [88]
| Vendor specific. More...
u16 | Crc
| Integrity CRC. More...

## Detailed Description

ONFI 1.0 support.

## Field Documentation

u8 __attribute__::AddrCycles

Number of address cycles.

u8 __attribute__::BitsPerCell

Number of bits per cell.

u16 __attribute__::BlockEndurance

Block endurance.

u16 __attribute__::BlockEnduranceGvb

Block endurance for guaranteed valid block.

u32 __attribute__::BlocksPerLun

Number of blocks per logical unit (LUN)

u32 __attribute__::BytesPerPage

Number of data bytes per page.

u32 __attribute__::BytesPerPartialPage

Number of data bytes per partial page.

u16 __attribute__::ClkInputPinCap

ONFI 2.3: CLK input pin capacitance.

u16 __attribute__::Crc

Integrity CRC.

u8 __attribute__::DateCode[2]

Date code.

u8 __attribute__::DeviceManufacturer[12]

Device manufacturer.

u8 __attribute__::DeviceModel[20]

Device model.

u8 __attribute__::DrvStrength

ONFI 2.3: Driver strength support.

u8 __attribute__::EccBits

Number of bits ECC correctability.

u16 __attribute__::ExtParamPageLen

ONFI 2.3: extended parameter page length.

u8 __attribute__::EzNandSupport

ONFI 2.3: EZ NAND support parameters.

u16 __attribute__::Features

Features supported.

u8 __attribute__::GuaranteedValidBlock

Guaranteed valid blocks at beginning of target.

u16 __attribute__::InputPinCap

ONFI 2.3: Input pin capacitance typical.

u8 __attribute__::InputPinCapMax

ONFI 2.3: Input pin capacitance maximum.

u8 __attribute__::InterleavedAddrBits

Number of interleaved address bits.

u8 __attribute__::InterleavedOperation

Interleaved operation attributes.

u16 __attribute__::IOPinCap

ONFI 2.3: I/O pin capacitance.

u8 __attribute__::IOPinCapacitance

I/O pin capacitance.

u8 __attribute__::JedecManufacturerId

JEDEC Manufacturer ID.

u16 __attribute__::MaxBadBlocksPerLun

Bad blocks maximum per LUN.

u8 __attribute__::NumLuns

Number of LUN's.

u8 __attribute__::NumOfParamPages

ONFI 2.3: No of parameter pages.

u16 __attribute__::OptionalCmds

Optional commands supported.

u16 __attribute__::PagecacheTimingMode

Program cache timing mode.

u32 __attribute__::PagesPerBlock

Number of pages per block.

u8 __attribute__::PartialProgAttr

Partial programming attributes.

u8 __attribute__::ProgramsPerPage

Number of programs per page.

u8 __attribute__::Reserved0[2]

ONFI 2.3: Reserved.

u8 __attribute__::Reserved1[17]

Reserved.

u8 __attribute__::Reserved2[13]

Reserved.

u8 __attribute__::Reserved3[12]

Reserved.

u8 __attribute__::Reserved4[6]

Reserved.

u16 __attribute__::Revision

Revision Number.

u8 __attribute__::Signature[4]

Parameter page signature.

u16 __attribute__::SpareBytesPerPage

Number of spare bytes per page.

u16 __attribute__::SpareBytesPerPartialPage

Number of spare bytes per partial page.

u8 __attribute__::SynFeatures

ONFI 2.3: Source synchronous features.

u16 __attribute__::SynTimingMode

ONFI 2.3: Source synchronous timing mode support.

u16 __attribute__::TAdl

ONFI 2.3: Program page register clear enhancement value.

u16 __attribute__::TBers

Maximum block erase time.

u16 __attribute__::TCcs

Maximum change column setup time.

u16 __attribute__::TEr

ONFI 2.3: Typical page read time for EZ NAND.

u16 __attribute__::TimingMode

Timing mode support.

u16 __attribute__::TMr

ONFI 2.3: Maximum multi-plane read time.

u16 __attribute__::TProg

Maximum page program time.

u16 __attribute__::TR

Maximum page read time.

u16 __attribute__::VendorRevisionNum

Vendor specific revision number.

u8 __attribute__::VendorSpecific[88]

Vendor specific.